### Class

# AppStream RelationCheckResult

#### Description

    class AppStream.RelationCheckResult : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### as_relation_check_result_new

Creates a new `AsRelationCheckResult`.

since: 1.0.0

#### Instance methods

###### as_relation_check_result_get_error_code

Retrieve the error code, in case this result represents an error.

###### as_relation_check_result_get_message

Get a human-readable message about the state of this relation. May be `NULL` in case the relation is satisfied and there is no further information about it.

###### as_relation_check_result_get_relation

Get the relation that this check result was generated for.

###### as_relation_check_result_get_status

Returns the status of this relation check result. If the status is `AS_RELATION_STATUS_ERROR`, an error message will have been set as message.

###### as_relation_check_result_set_error_code

Set the error code in case this result represents an error.

###### as_relation_check_result_set_message

Set a human-readable information message about the satisfaction state of the dependency under the checked system configuration.

###### as_relation_check_result_set_relation

Set an `AsRelation` to associate with this check result.

###### as_relation_check_result_set_status

Set the outcome of this relation check result.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AppStreamRelationCheckResultClass {
      GObjectClass parent_class;
      void (* _as_reserved1) (
    void
      );
      void (* _as_reserved2) (
    void
      );
      void (* _as_reserved3) (
    void
      );
      void (* _as_reserved4) (
    void
      );
      void (* _as_reserved5) (
    void
      );
      void (* _as_reserved6) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_as_reserved1: void (* _as_reserved1) ( void )`

  No description available.

`_as_reserved2: void (* _as_reserved2) ( void )`

  No description available.

`_as_reserved3: void (* _as_reserved3) ( void )`

  No description available.

`_as_reserved4: void (* _as_reserved4) ( void )`

  No description available.

`_as_reserved5: void (* _as_reserved5) ( void )`

  No description available.

`_as_reserved6: void (* _as_reserved6) ( void )`

  No description available.